Bug 20506 - Change to zoneinfo file for Fiji
Change to zoneinfo file for Fiji
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
6.2
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-07 23:46 EST by simon.greaves
Modified: 2016-11-24 10:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-07 23:46:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description simon.greaves 2000-11-07 23:46:20 EST
The Fijian Government have decided to scrap daylight savings so the
zoneinfo
file needs to be updated.

I fixed my PC by creating a file with the following line:

Zone    Fiji  12:00   -    FJT

then ran zic on that file. Strictly speaking the file should probably have
the
daylight savings stuff in it too with a 'Zone' line with an 'Until' field,
but the
simple case will suffice for me.

/etc/localtime is a copy of the selected zoneinfo file, wouldn't this be
better as a symlink?
Comment 1 Jakub Jelinek 2000-11-08 08:51:09 EST
I don't think we should issue 6.2 erratas because of this (where would thousands
of people need to download several megabytes over the net), I believe it will
make into next official timezone data and will appear in probably in glibc
2.2.1. glibc 2.2 Fiji record is:
# Fiji
# Rule  NAME    FROM    TO      TYPE    IN      ON      AT      SAVE    LETTER/S
Rule    Fiji    1998    max     -       Nov     Sun>=1  2:00    1:00    S
Rule    Fiji    1999    max     -       Feb     lastSun 3:00    0       -
# Zone  NAME            GMTOFF  RULES   FORMAT  [UNTIL]
Zone    Pacific/Fiji    11:53:40 -      LMT     1915 Oct 26     # Suva
                        12:00   Fiji    FJ%sT   # Fiji Time
Comment 2 simon.greaves 2000-11-08 17:14:44 EST
I agree an errata would be inappropriate, I just thought it would be worth while
raising the issue
and posting a fix in case anyone else was looking for a solution. Thanks for the
prompt response.

8<--------------------------------------------------
# Fiji
# Rule  NAME    FROM    TO      TYPE    IN      ON      AT      SAVE    LETTER/S
Rule    Fiji    1998    max     -       Nov     Sun>=1  2:00    1:00    S
Rule    Fiji    1999    max     -       Feb     lastSun 3:00    0       -
# Zone  NAME            GMTOFF  RULES   FORMAT  [UNTIL]
Zone    Pacific/Fiji    11:53:40 -      LMT     1915 Oct 26     # Suva
                        12:00   Fiji    FJ%sT   2000 Aug 31     # Fiji Time
                        12:00   -       FJDT

Note You need to log in before you can comment on or make changes to this bug.